using Colyseus.Schema;
#if UNITY_5_3_OR_NEWER
using UnityEngine.Scripting;
#endif

public partial class LobbyState : Schema
{
#if UNITY_5_3_OR_NEWER
    [Preserve]
#endif
    public LobbyState() { }

    [Type(0, "map", typeof(MapSchema<NetworkPlayer>))]
    public MapSchema<NetworkPlayer> players = null;

    [Type(1, "map", typeof(MapSchema<NetworkWorldObject>))]
    public MapSchema<NetworkWorldObject> objects = null;
}
